SFSCHUNKSERVER(8)

NAME
sfschunkserver - start, restart or stop Sauna File System chunkserver process

SYNOPSIS

sfschunkserver [-c CFGFILE] [-u] [-d] [-t LOCKTIMEOUT] [ACTION]

sfschunkserver -v

sfschunkserver -h

DESCRIPTION

sfschunkserver is the data server of Sauna File System. Depending on parameters it can start, restart or stop SaunaFS chunkserver process. Without any options it starts SaunaFS chunkserver, killing previously run process if lock file exists.

SIGHUP (or reload ACTION) forces sfschunkserver to reload all configuration files.

Chunkserver periodically tests stored chunks (see HDD_TEST_FREQ option in sfschunkserver.cfg manual).

SaunaFS master doesn’t send metadata change logs to chunkserver and expect at least one sfsmetalogger daemon to connect.

Chunkserver scans attached disks in background.

OPTIONS

-v
    print version information and exit

-h
    print usage information and exit

-c CFGFILE
    specify alternative path of configuration file (default is sfschunkserver.cfg in system configuration directory)

-u
    log undefined configuration values (when default is assumed)

-d
    run in foreground, don’t daemonize

-t LOCKTIMEOUT
    how long to wait for lockfile (default is 60 seconds)

ACTION is the one of start, stop, restart, reload, test, isalive or kill. Default action is restart.

FILES

sfschunkserver.cfg
    configuration file for SaunaFS chunkserver process; refer to sfschunkserver.cfg(5) manual for details

sfshdd.cfg
    list of directories (mountpoints) used for SaunaFS storage (one per line; directory prefixed by * character causes given directory to be freed by replicating all data already stored there to another locations)

sfschunkserver.lock
    PID file of running SaunaFS chunkserver process

.sfschunkserver.lock
    lock file of running SaunaFS chunkserver process (created in data directory)

data.csstats
    Chunkserver charts state

REPORTING BUGS

Report bugs to the GitHub repository as an issue.

COPYRIGHT

Copyright 2008-2009 Gemius SA

Copyright 2013-2019 Skytechnology sp. z o.o.

Copyright 2023-2024 Leil Storage OÜ

SaunaFS is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.

SaunaFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with SaunaFS. If not, see

SEE ALSO

sfsmaster(8), sfsmount(1), sfschunkserver.cfg(5), sfshdd.cfg(5), sfs(7)